pbs_sched_attributes(7B)

NAME
pbs_sched_attributes - attributes of default PBS scheduler and multischeds

DESCRIPTION
These are the attributes of the default PBS scheduler and PBS multischeds.

comment
    For certain scheduler errors, PBS sets the scheduler's comment attribute to specific error messages. You can use the comment attribute to notify another administrator of something, but PBS does overwrite the value of comment under certain circumstances.
    Format: String

do_not_span_psets
    Specifies whether or not the scheduler requires the job to fit within one existing placement set.
    When this attribute is True, the job must fit in one existing placement set. All existing placement sets are checked. If the job fits in an occupied placement set, the job waits for the placement set to be available. If the job cannot fit within a single placement set, it won't run.
    When this attribute is False, the scheduler first attempts to place the job in a single placement set, but if it cannot, it allows the job to span placement sets, running on whichever vnodes can satisfy the job's resource request.
    Readable by all and settable by the PBS Manager and Operator only.
    Format: Boolean
    Default: False

job_sort_formula_threshold
    Lower bound for calculated priority for job. If job priority is at or below this value, the job is not eligible to run in the current scheduler cycle. Settable by Manager.
    Format: Float
    Default: None

only_explicit_psets
    Specifies whether placement sets are created for unset resources.
    When True, placement sets are not created from vnodes whose value for a resource is unset.
    When False, placement sets are created from vnodes whose value for a resource is unset.
    Readable by all and settable by the PBS Manager and Operator only.
    Format: Boolean
    Default: False

opt_backfill_fuzzy
    Sets the tradeoff between scheduling cycle speed and granularity of estimated start time calculation.
    Readable by all; settable by Manager.
    Valid values:

    off Finest granularity; no speedup.

    low Fairly fine granularity; some speedup.

    medium
        Medium granularity; medium speedup.

    high
        Coarse granularity; greatest speedup.

    Format: String
    Default: unset (behaves like low ).

partition
    Comma-separated list of partitions for which this scheduler is to run jobs. Cannot be set on default scheduler.
    Format: String array
    Default: "None"

pbs_version
    The version of PBS for this scheduler. Readable only by Manager and Operator. Not settable.

sched_host
    The hostname of the machine on which the scheduler runs. Cannot be set on default scheduler; value for default scheduler is server hostname. Visible only to the PBS Manager or Operator, and read-only.
    Format: String
    Default value for multischeds: server's host

scheduler_iteration
    Time in seconds between scheduling iterations.
    If you set the server's scheduler_iteration attribute, that value is assigned to the default scheduler's scheduler_iteration attribute, and vice versa.
    Format: Integer seconds
    Default: 600

scheduling
    Enables scheduling of jobs.
    If you set the server's scheduling attribute, that value is assigned to the default scheduler's scheduling attribute, and vice versa.
    Format: Boolean
    Default value for default scheduler: True
    Default value for multischeds: False

sched_cycle_length
    The scheduler's maximum cycle length. Overwritten by the -a option to the pbs_sched command.
    Readable by all and settable by the PBS Manager and Operator only.
    Format: Duration
     expressed as integer seconds, or [[hours:]minutes:]seconds[.milliseconds]
    Default: 20:00 (20 minutes)

sched_host
    The hostname of the machine on which this scheduler runs.
    Cannot be set on default scheduler; value for default scheduler is server hostname.
    Must be set by administrator.
    Format: String
    Default value for multischeds: server hostname

sched_log
    Directory where this scheduler writes its logs. Permissions should be 755. Must be owned by root. Cannot be shared with another scheduler. Use default value; do not set.
    Format: String
    Default: $PBS_HOME/sched_logs_<scheduler name>

sched_port
    Port on which this scheduler listens. Cannot be set on default scheduler. Must be set by administrator.
    Format: String
    Default: None

sched_preempt_enforce_resumption
    Controls whether the scheduler treats preempted jobs as top jobs. When True , these are top jobs. Readable by all. Settable by Manager.
    Format: Boolean
    Default: False

sched_priv
    Directory where this scheduler keeps its fairshare usage, resource_group, holidays, and sched_config files. Must be owned by root. Use default value; do not set.
    Format: String
    Default: $PBS_HOME/sched_priv_<scheduler name>

state
    State of this scheduler.
    Valid values:

    down
        Scheduler is not running.

    idle
        Scheduler is running and is waiting for a scheduling cycle to be triggered.

    scheduling
        Scheduler is running and is in a scheduling cycle.

    Format: String
    Default value for default scheduler: idle
    Default value for multischeds: down

throughput_mode
    When True, allows scheduler to run faster; it doesn't have to wait for each job to be accepted, and doesn't wait for execjob_begin hooks to finish. Also when this attribute is True, jobs that are changed via qalter, server_dyn_res scripts, and peering can run in the same scheduler cycle in which they were changed.
    Readable by all; settable by Manager and Operator.
    Format: Boolean
    Default: True

SEE ALSO
The PBS Professional Administrator's Guide, The PBS Professional User's Guide, qmgr(1B)